| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::permission_overwrite Struct Reference

Channel permission overwrites. More...

`#include <channel.h>`

Collaboration diagram for dpp::permission_overwrite:
[legend]

## Public Member Functions

| permission_overwrite ()
| Construct a new permission_overwrite object.
| permission_overwrite (snowflake id, uint64_t allow, uint64_t deny, overwrite_type type)
| Construct a new permission_overwrite object.

## Public Attributes

permission | allow
| Bitmask of allowed permissions.
permission | deny
| Bitmask of denied permissions.
snowflake | id
| ID of the role or the member.
uint8_t | type
| Type of overwrite. See dpp::overwrite_type.

## Detailed Description

Channel permission overwrites.

## Constructor & Destructor Documentation

## ◆ permission_overwrite() [1/2]

dpp::permission_overwrite::permission_overwrite | ( |  | ) |

Construct a new permission_overwrite object.

## ◆ permission_overwrite() [2/2]

dpp::permission_overwrite::permission_overwrite | ( | snowflake | id,
|  | uint64_t | allow,
|  | uint64_t | deny,
|  | overwrite_type | type )

Construct a new permission_overwrite object.

Parameters

  id | ID of the role or the member to create the overwrite for
  allow | Bitmask of allowed permissions (refer to enum dpp::permissions) for this user/role in this channel
  deny | Bitmask of denied permissions (refer to enum dpp::permissions) for this user/role in this channel
  type | Type of overwrite

## Member Data Documentation

## ◆ allow

permission dpp::permission_overwrite::allow

Bitmask of allowed permissions.

## ◆ deny

permission dpp::permission_overwrite::deny

Bitmask of denied permissions.

## ◆ id

snowflake dpp::permission_overwrite::id

ID of the role or the member.

## ◆ type

uint8_t dpp::permission_overwrite::type

Type of overwrite. See dpp::overwrite_type.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0